OGRE: Ogre::Radian Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Radian Class Reference
Core » Math

Wrapper class which indicates a given angle value is in Radians. More...

`#include <OgreMath.h>`

## Public Member Functions
| Radian (const Degree &d)
| Radian (const Ogre::Radian &rhs)
| Radian (float r=0)
bool | operator!= (const Radian &r) const
Radian | operator* (const Radian &f) const
Radian | operator* (float f) const
Radian & | operator*= (float f)
const Radian & | operator+ () const
Radian | operator+ (const Degree &d) const
Radian | operator+ (const Radian &r) const
Radian & | operator+= (const Degree &d)
Radian & | operator+= (const Radian &r)
Radian | operator- () const
Radian | operator- (const Degree &d) const
Radian | operator- (const Radian &r) const
Radian & | operator-= (const Degree &d)
Radian & | operator-= (const Radian &r)
Radian | operator/ (float f) const
Radian & | operator/= (float f)
bool | operator< (const Radian &r) const
bool | operator<= (const Radian &r) const
Radian & | operator= (const Degree &d)
Radian & | operator= (const float &f)
Radian & | operator= (const Radian &r)
bool | operator== (const Radian &r) const
bool | operator> (const Radian &r) const
bool | operator>= (const Radian &r) const
float | valueAngleUnits () const
float | valueDegrees () const
float | valueRadians () const

## Detailed Description

Wrapper class which indicates a given angle value is in Radians.

Radian values are interchangeable with Degree values, and conversions will be done automatically between them.

## Constructor & Destructor Documentation

## ◆ Radian() [1/2]

Ogre::Radian::Radian | ( | float | r = 0 | ) |
| inlineexplicit

Referenced by operator!=(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+(), operator+=(), operator+=(), operator-(), operator-(), operator-(), operator-=(), operator-=(), operator/(), operator/=(), operator<(), operator<<, operator<=(), operator=(), operator=(), operator=(), operator==(), operator>(), and operator>=().

## ◆ Radian() [2/2]

Ogre::Radian::Radian | ( | const Ogre::Radian & | rhs | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/2]

Radian & Ogre::Radian::operator= | ( | const float & | f | ) |
| inline

References Radian().

## ◆ operator=() [2/2]

Radian & Ogre::Radian::operator= | ( | const Radian & | r | ) |
| inline

References Radian().

## ◆ valueRadians()

float Ogre::Radian::valueRadians | ( |  | ) | const
| inline

Referenced by Radian(), Ogre::Math::Abs(), Ogre::Math::Cos(), Ogre::VectorBase< 3, Real >::directionEquals(), Ogre::Quaternion::equals(), Ogre::operator*(), Ogre::operator/(), Ogre::Math::Sign(), Ogre::Math::Sin(), Ogre::Math::Sqrt(), and Ogre::Math::Tan().

## ◆ operator+() [1/2]

const Radian & Ogre::Radian::operator+ | ( |  | ) | const
| inline

References Radian().

## ◆ operator+() [2/2]

Radian Ogre::Radian::operator+ | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator+=()

Radian & Ogre::Radian::operator+= | ( | const Radian & | r | ) |
| inline

References Radian().

## ◆ operator-() [1/2]

Radian Ogre::Radian::operator- | ( |  | ) | const
| inline

References Radian().

## ◆ operator-() [2/2]

Radian Ogre::Radian::operator- | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator-=()

Radian & Ogre::Radian::operator-= | ( | const Radian & | r | ) |
| inline

References Radian().

## ◆ operator*() [1/2]

Radian Ogre::Radian::operator* | ( | float | f | ) | const
| inline

References Radian().

## ◆ operator*() [2/2]

Radian Ogre::Radian::operator* | ( | const Radian & | f | ) | const
| inline

References Radian().

## ◆ operator*=()

Radian & Ogre::Radian::operator*= | ( | float | f | ) |
| inline

References Radian().

## ◆ operator/()

Radian Ogre::Radian::operator/ | ( | float | f | ) | const
| inline

References Radian().

## ◆ operator/=()

Radian & Ogre::Radian::operator/= | ( | float | f | ) |
| inline

References Radian().

## ◆ operator<()

bool Ogre::Radian::operator< | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator<=()

bool Ogre::Radian::operator<= | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator==()

bool Ogre::Radian::operator== | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator!=()

bool Ogre::Radian::operator!= | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator>=()

bool Ogre::Radian::operator>= | ( | const Radian & | r | ) | const
| inline

References Radian().

## ◆ operator>()

bool Ogre::Radian::operator> | ( | const Radian & | r | ) | const
| inline

References Radian().

The documentation for this class was generated from the following file:

- OgreMath.h